
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version  1.20.10
%global _buildhost	build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:           kubernetes-cni-plugins
Version:        1.2.0
Release:        4%{dist}
Summary:        Container Network Interface Plugins - networking plugins for Linux containers
Vendor:         Oracle America
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/containernetworking/plugins
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  golang >= %{golang_version}
#%{?systemd_requires}
Requires:	flannel-cni-plugin >= 1.1.2

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n %{name}-%{version}

%build

chmod +x build_linux.sh
./build_linux.sh

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
/opt/cni

%changelog
* Tue Nov 21 2023 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.2.0-4
- Fix go.mod

* Tue Nov 14 2023 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.2.0-3
- Resolve CVE-2023-44487 and CVE-2023-39325 

* Thu Aug 03 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.2.0-2
- Add support for ARM build

* Thu Jun 01 2023 michthom <michael.a.thompson@oracle.com> - 1.2.0-1
- Added Oracle specific build files for Kubernetes CNI Plugins
